Download it now!
Bug 76356 - File Corruption - Issue with Embedded binary object and chart in Footer.
Summary: File Corruption - Issue with Embedded binary object and chart in Footer.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Sushil Shinde
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-19 12:55 UTC by Sushil Shinde
Modified: 2016-06-17 10:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original file. (42.98 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-19 12:55 UTC, Sushil Shinde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sushil Shinde 2014-03-19 12:55:58 UTC
Created attachment 96041 [details]
Original file.

LO exports corrupted files.
If docx file contains chart in footer or chart contains .bin embedded file LO corrupts file while exporting it.
Comment 1 Jorendc 2014-03-19 16:38:10 UTC
I can confirm a corruption, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha0+ Build ID: 90dd4320de6ace24e464979630a2c9fbab35f64b
TinderBox: Win-x86@39, Branch:master, Time: 2014-03-19_00:22:53

Kind regards,
Joren
Comment 2 Commit Notification 2014-03-23 10:03:39 UTC
sushil_shinde committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=23b65a84fd827555dfb84c7e2f78879c479c2f78

fdo#76356 : Docx file contianing chart in footer/header gets corrupted.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-03-24 11:10:03 UTC
No corruption anymore, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: aeab0183e86fe011d32058864c02b2de4da32dc9
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-24_05:49:57

Thanks for fixing!

Kind regards,
Joren